Bug 1083417 - (CVE-2018-7183) VUL-0: CVE-2018-7183: ntp,xntp: decodearr() can write beyond its buffer limit
(CVE-2018-7183)
VUL-0: CVE-2018-7183: ntp,xntp: decodearr() can write beyond its buffer limit
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/201020/
CVSSv3:RedHat:CVE-2018-7183:5.0:(AV:N...
:
Depends on:
Blocks: 1082210
  Show dependency treegraph
 
Reported: 2018-03-01 07:19 UTC by Johannes Segitz
Modified: 2018-10-18 17:29 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2018-03-01 07:19:34 UTC
ntpq is a monitoring and control program for ntpd. decodearr() is an internal function of ntpq that is used to -- wait for it -- decode an array in a response string when formatted data is being displayed. This is a problem in affected versions of ntpq if a maliciously-altered ntpd returns an array result that will trip this bug, or if a bad actor is able to read an ntpq request on its way to a remote ntpd server and forge and send a response before the remote ntpd sends its response. It's potentially possible that the malicious data could become injectable/executable code.

References:
http://support.ntp.org/bin/view/Main/NtpBug3414
https://bugzilla.redhat.com/show_bug.cgi?id=1550223
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-7183
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-7183.html
Comment 1 Swamp Workflow Management 2018-03-14 09:40:17 UTC
This is an autogenerated message for OBS integration:
This bug (1083417) was mentioned in
https://build.opensuse.org/request/show/586702 Factory / ntp
Comment 3 Swamp Workflow Management 2018-03-22 09:05:00 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2018-04-05.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64004
Comment 4 Swamp Workflow Management 2018-03-26 13:12:06 UTC
SUSE-SU-2018:0808-1: An update that solves 6 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1077445,1082210,1083417,1083420,1083422,1083424,1083426
CVE References: CVE-2016-1549,CVE-2018-7170,CVE-2018-7182,CVE-2018-7183,CVE-2018-7184,CVE-2018-7185
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    ntp-4.2.8p11-64.4.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ntp-4.2.8p11-64.4.1
Comment 6 Swamp Workflow Management 2018-04-16 19:11:01 UTC
SUSE-SU-2018:0956-1: An update that solves 6 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1077445,1082063,1082210,1083417,1083420,1083422,1083424,1083426
CVE References: CVE-2016-1549,CVE-2018-7170,CVE-2018-7182,CVE-2018-7183,CVE-2018-7184,CVE-2018-7185
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    ntp-4.2.8p11-64.3.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    ntp-4.2.8p11-64.3.2
SUSE CaaS Platform ALL (src):    ntp-4.2.8p11-64.3.2
Comment 7 Swamp Workflow Management 2018-04-17 10:09:15 UTC
openSUSE-SU-2018:0970-1: An update that solves 6 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1077445,1082063,1082210,1083417,1083420,1083422,1083424,1083426
CVE References: CVE-2016-1549,CVE-2018-7170,CVE-2018-7182,CVE-2018-7183,CVE-2018-7184,CVE-2018-7185
Sources used:
openSUSE Leap 42.3 (src):    ntp-4.2.8p11-31.3.1
Comment 10 Swamp Workflow Management 2018-05-29 19:08:27 UTC
SUSE-SU-2018:1464-1: An update that solves 6 vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1034892,1077445,1082063,1082210,1083417,1083420,1083422,1083424,1083426
CVE References: CVE-2016-1549,CVE-2018-7170,CVE-2018-7182,CVE-2018-7183,CVE-2018-7184,CVE-2018-7185
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    ntp-4.2.8p11-46.26.2
Comment 11 Swamp Workflow Management 2018-06-20 19:09:05 UTC
SUSE-SU-2018:1765-1: An update that solves 6 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1077445,1082063,1082210,1083417,1083420,1083422,1083424,1083426
CVE References: CVE-2016-1549,CVE-2018-7170,CVE-2018-7182,CVE-2018-7183,CVE-2018-7184,CVE-2018-7185
Sources used:
SUSE OpenStack Cloud 7 (src):    ntp-4.2.8p11-64.5.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    ntp-4.2.8p11-64.5.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    ntp-4.2.8p11-64.5.1
SUSE Linux Enterprise Server 12-SP3 (src):    ntp-4.2.8p11-64.5.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    ntp-4.2.8p11-64.5.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    ntp-4.2.8p11-64.5.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ntp-4.2.8p11-64.5.1
SUSE Enterprise Storage 4 (src):    ntp-4.2.8p11-64.5.1
SUSE CaaS Platform ALL (src):    ntp-4.2.8p11-64.5.1
Comment 12 Marcus Meissner 2018-09-07 14:11:05 UTC
released
Comment 13 Swamp Workflow Management 2018-10-18 17:29:53 UTC
SUSE-SU-2018:1765-2: An update that solves 6 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1077445,1082063,1082210,1083417,1083420,1083422,1083424,1083426
CVE References: CVE-2016-1549,CVE-2018-7170,CVE-2018-7182,CVE-2018-7183,CVE-2018-7184,CVE-2018-7185
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ntp-4.2.8p11-64.5.1